Subject: Re: [MEXT] MEXT charter for the IESG

From: "Laganier, Julien" <[email-masked]>
Date: Wed, 1 Sep 2010 10:03:40 -0700

Thierry,

W.r.t. the multihoming problem statement, publishing the problem statement after the WG has finished to work on solutions seems of little value, which might explain why the WG hasn't been working on for more than one year and a half...

W.r.t. the NEMO route optimization requirements, our previous charter included the following:

  If no requirements for those scenarios can be collected by the
  deadline, it will be assumed that the work is premature, and
  that type of deployment will be dropped from the WG. 

[...]

  May 2008 - Submit final doc on Route Optimization needs for Personal Mobile Router, for Informational
  May 2008 - Submit final doc on Route Optimization Needs for Automobile and Highway Deployments, for Informational

--julien

Thierry Ernst wrote:
> 
> Dear all,
> 
> I'm just wondering what is the fate of the former working group items /
> drafts regarding multihoming problem statement and NEMO RO
> requirements ?
> 
> Please forgive my naive question should the group made any decision on
> this.
> 
> Regards,
> Thierry.
> 
> 
> 
> 
> On 26/08/10 09:18, Jari Arkko wrote:
> > As far as I can tell, this version of the charter corresponds to the
> > discussions we have had in the working group:
> >
> > Mobility EXTensions for IPv6 (mext)
> > ---------------------------------------------
> > Status: Active Working Group
> > Last updated: 2010-08-26
> >
> > Chairs:
> >  Marcelo Bagnulo <[email-masked]>
> >  Julien Laganier <[email-masked]>
> >
> > Internet Area Directors:
> >  Ralph Droms <[email-masked]>
> >  Jari Arkko <[email-masked]>
> >
> > Internet Area Advisor:
> >  Jari Arkko <[email-masked]>
> >
> > Mailing Lists:
> >  General Discussion: [email-masked]
> >  To Subscribe: https://www.ietf.org/mailman/listinfo/mext
> >  Archive: http://www.ietf.org/mail-archive/web/mext
> >
> > Description of Working Group:
> >
> > Mobile IPv6 specifies routing support which permits an IPv6 host to
> > continue using its home address as it moves around the Internet,
> > enabling continuity of sessions. Mobile IPv6 supports transparency
> > above the IP layer, including maintenance of active transport level
> > sessions. In addition, network mobility (NEMO) mechanisms built on
> top
> > of Mobile IPv6 allow managing the mobility of an entire network, as
> it
> > changes its point of attachment to the Internet. The base
> > specifications consist of:
> >
> > o RFC 3775 (Mobile IPv6)
> > o RFC 3963 (NEMO)
> > o RFC 4877 (Mobile IPv6 Operation with IKEv2) o RFC 5555 (Dual Stack
> > Mobile IPv6) o RFC 5648 (Multiple Care-of Addresses Registration) o
> > RFC 5846 (Binding Revocation) o RFC-to-be (Flow Binding Policy
> > Transport and Flow Binding Policy
> > Format)
> >
> > The MEXT Working Group continues the work of the former MIP6, NEMO,
> > and MONAMI6 Working Groups.
> >
> > The primary goal of MEXT will be to enhance base IPv6 mobility by
> > continuing work on developments that are required for wide-scale
> > deployments and specific deployment scenarios. Additionally, the
> > working group will ensure that any issues identified by
> implementation
> > and interoperability experience are addressed, and that the base
> > specifications are maintained. The group will also produce
> > informational documentation, such as design rationale documents or
> > description of specific issues within the protocol.
> >
> > The MEXT WG will also explore experimental alternative security
> > mechanisms. The security mechanism specified in the existing standard
> > track RFCs (RFC3775bis, RFC4877) remains the mandatory to implement
> > mechanism that guarantees interoperability between different
> > implementations. The MEXT WG is chartered to deliver one or more
> > experimental alternative mechanisms. All the alternative solutions
> > will be published as experimental RFCs.
> >
> > In addition, the working group will bring to completion earlier work
> > on prefix delegation for NEMO, RADIUS  support for Mobile IPv6,
> Mobile
> > IPv6 operation with firewalls, and home agent reliability
> specifications.
> >
> > Work items related to base specification maintenance include: Create
> > and maintain issue lists that are generated on the basis of
> > implementation and interoperability experience. Address specific
> > issues with specific updates or revisions of the base specification.
> > Currently known specific issues include support for overlapping
> > (private) IPv4 home addresses, negotiation of the protection required
> > for payload traffic, and discovery of the home agent address in
> > IPv4-only networks.
> >
> > Goals and Milestones:
> >
> > Dec 2010  Submit the final doc on Prefix Delegation for NEMO to the
> > IESG, for Proposed Standard Dec 2010  Submit the I-D 'RADIUS Mobile
> > IPv6 Support' to IESG for publication as a proposed standard.
> > Dec 2010  Submit I-D(s) related to specific updates and corrections
> of
> > RFC 3775 to IESG for publication as Proposed Standard.
> > Jan 2011  Submit I-D 'Home agent reliability' to IESG for publication
> > as a Proposed Standard.
> > Jan 2011  Submit I-D 'Mobile IPv6 Operation with Firewalls' to IESG
> > for publication as Informational.
> > Aug 2011  Submit I-Ds on alternative security mechanisms to the IESG
> > for publication as Experimental.
> > Sep 2011  Submit I-D 'Overlapping IPv4 address support' to IESG for
> > publication as Proposed Standard.
> > Sep 2011  Submit I-D 'Home agent discovery in IPv4-only networks via
> > DHCP' to IESG for publication as Proposed Standard.
> > Dec 2011  Submit I-D 'Negotiation of the protection for payload
> > traffic' to IESG for publication as Proposed Standard.
> >
> > _______________________________________________
> > MEXT mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/mext

---

From: Thierry Ernst <[email-masked]>
Date: Wed, 01 Sep 2010 19:17:03 +0200

Hi Julien,
> W.r.t. the multihoming problem statement, publishing the problem statement after the WG has finished to work on solutions seems of little value, which might explain why the WG hasn't been working o…
I'm perfectly fine with that but since I didn't notice any discussion on 
this point I was wondering ...
>    that type of deployment will be dropped from the WG.
Yes, and a draft about the automotive industry was submitted and 
revised. The current one has expired, but the draft show evidence of the 
interest of the car industry. In addition, solution space draft from 
Alex Petrescu and JongHyouk Lee has shown evidence on the MR-MR RO 
optimisation need.

So, has there been any discussion on excluding this work item from the 
new charter ? I haven't seen any.

Regards,
Thierry.

>>>   Marcelo Bagnulo<[email-masked]>
>>>   Julien Laganier<[email-masked]>
>>>
>>> Internet Area Directors:
>>>   Ralph Droms<[email-masked]>
>>>   Jari Arkko<[email-masked]>
>>>
>>> Internet Area Advisor:
>>>   Jari Arkko<[email-masked]>
>>>
>>> Mailing Lists:

---

From: marcelo bagnulo braun <[email-masked]>
Date: Wed, 01 Sep 2010 19:27:18 +0200

El 01/09/10 19:17, Thierry Ernst escribió:
> revised. The current one has expired, but the draft show evidence of 
> the interest of the car industry.

http://tools.ietf.org/html/draft-baldessari-c2ccc-nemo-req-01

was submitted in july 2007 and nothing else happened ever since (3,5 
years without activity)

regards, marcelo

---

From: Alexandru Petrescu <[email-masked]>
Date: Wed, 01 Sep 2010 19:41:57 +0200

Le 01/09/2010 19:27, marcelo bagnulo braun a écrit :
>> revised. The current one has expired, but the draft show evidence
>> of the interest of the car industry.
>

Allow me correction... that draft was submitted, presented, discussed
for several months with disagreements and agreements.  Then it became WG
item:

           draft-ietf-mext-nemo-ro-automotive-req

which went through further discussion and last updated in version
02 as of July 2009.

As pointed out by Thierry, some work happened to follow _some_ of the
requirements in this draft (for MR-to-MR communications.)

I think during these 3-5 years there was no blank period of no
discussion although the discussion was not as intense as the other MEXT
items.

I propose to take it into account.  It is very useful to have it
pursued.  There are currently automotive cases being discussed in SDOs
outside IETF which may be in line with the NEMO RO requirements, or may
require re-formulation.

Alex

>
> regards, marcelo
>
> _______________________________________________ MEXT mailing list
> [email-masked] https://www.ietf.org/mailman/listinfo/mext
>

---

From: marcelo bagnulo braun <[email-masked]>
Date: Wed, 01 Sep 2010 19:52:27 +0200

Hi Alex,

> which went through further discussion and last updated in version
you are right, of course
sorry for the mistake

well, actually, you are not right, in the sense that the draft was 
produced in january 2009 (and expired in july 2009), but anyway

> discussion although the discussion was not as intense as the other MEXT
i am not sure about that. as you pointed out, the last version of the 
draft was produced almost 2 years ago and nothing happened with that draft.

Don't get me wrong. I am personally very interested to see the car 
industry involved in the IETF and help them to produce a solution for 
their use case.
I simply gave up on trying, seeing the lack of energy.

> outside IETF which may be in line with the NEMO RO requirements, or may

i agree with all that. If they contribute and show energy, let's do it.
Without that, i fail to see how we can do any work.

Regards, marcelo

---

From: "Laganier, Julien" <[email-masked]>
Date: Wed, 1 Sep 2010 11:15:07 -0700

Hi Thierry,

Thierry Ernst wrote:
> 
>   Hi Julien,
> > W.r.t. the multihoming problem statement, publishing the problem
> > statement after the WG has finished to work on solutions seems of
> > little value, which might explain why the WG hasn't been working on for
> > more than one year and a half...
> > I'm perfectly fine with that but since I didn't notice any discussion
> > on this point I was wondering ...
> revised. 

The deadlines (May 2008) were missed, and two types of deployment got dropped, as per the charter.

> The current one has expired, but the draft show evidence of

I don't know if a single (expired) draft show interest from the car industry...

(or does it shows that the interest of the car industry has expired ;-)

>                                    In addition, solution space draft
> from Alex Petrescu and JongHyouk Lee has shown evidence on the MR-MR RO
> optimisation need.
> 

There has been a proposal of a new charter on the mailing list that dropped the past-the-deadline NEMO RO work items, it has been commented on, but nobody expressed concerned on the removal of these work items. The result of the discussion were communicated to the IESG.

In addition, a WG Review was conducted with the new charter proposal being sent to the community requesting for feedback. I am not aware of anybody expressing concerns on the removal of these work items during that review. I might however not have seen all of the feedback since feedback is possibly sent only to IESG.

As the result of both steps above, the new charter has been approved by the IESG.

--julien

---

From: Alexandru Petrescu <[email-masked]>
Date: Wed, 01 Sep 2010 20:43:18 +0200

Le 01/09/2010 20:15, Laganier, Julien a écrit :
>>>  statement after the WG has finished to work on solutions seems
>>> of little value, which might explain why the WG hasn't been
>>> working on for more than one year and a half... I'm perfectly
>>> fine with that but since I didn't notice any discussion on this
>>> point I was wondering ... W.r.t. the NEMO route optimization
>>> requirements, our previous charter included the following:
>>>
>> The current one has expired, but the draft show evidence of the
>> interest of the car industry.
>

Hmm... I don't think so the interest expired.  It's however hard to
identify interest if we claim there's none.

It is useful to distinguish who is car industry.  One would intuitively
think of car manufacturers.  Better yet, there is much more: telecom
operators expressed interest in vehicular communications, public
transportation operators, communication equipment manufacturers.  Very
different profiles.

Alex

>
>> In addition, solution space draft from Alex Petrescu and JongHyouk
>> Lee has shown evidence on the MR-MR RO optimisation need.
>>
>> So, has there been any discussion on excluding this work item from
>> the new charter ? I haven't seen any.
>
> There has been a proposal of a new charter on the mailing list that
> dropped the past-the-deadline NEMO RO work items, it has been
> commented on, but nobody expressed concerned on the removal of these
> work items. The result of the discussion were communicated to the
> IESG.
>
> In addition, a WG Review was conducted with the new charter proposal
> being sent to the community requesting for feedback. I am not aware
> of anybody expressing concerns on the removal of these work items
> during that review. I might however not have seen all of the
> feedback since feedback is possibly sent only to IESG.
>

---

From: Alexandru Petrescu <[email-masked]>
Date: Wed, 01 Sep 2010 20:44:03 +0200

Le 01/09/2010 19:52, marcelo bagnulo braun a écrit :
>>>> Yes, and a draft about the automotive industry was submitted
>>>> and revised. The current one has expired, but the draft show
>>>> evidence of the interest of the car industry.
>>>
>>> was submitted in july 2007 and nothing else happened ever since
>>> (3,5 years without activity)
>>
>> Allow me correction... that draft was submitted, presented,
>> discussed for several months with disagreements and agreements.
>> Then it became WG item:
>>
> you are right, of course sorry for the mistake
>
>> As pointed out by Thierry, some work happened to follow _some_ of
>> the requirements in this draft (for MR-to-MR communications.)
>>
>> discussion although the discussion was not as intense as the other
>> MEXT items.
>>

If an update is submitted - would you accept it?

Rewriting some parts would be better?

I personally would like to see more stress of MR-to-MR scenarios and
requirements.  There is currently some text about V2V in CALM, and
"peer-to-peer" apps for V2V, but the document is about much more.  If we
better identify MR-to-MR as a core scenario and reqs - would this be a
better document?

Other ideas to update this draft?

How to pursue this item?

> industry involved in the IETF and help them to produce a solution for

Well there are many many use cases for telecommunications in the
automotive industry.  Some may need IPv6 solutions, some Mobile IPv6,
and even less of them may need some form of optimized paths.

> I simply gave up on trying, seeing the lack of energy.

I am willing to learn what can be improved about this.

Is reluctance with respect to IPv6 (compard to IPv4)?  To Mobile IPv6
(compared to simply IPv6)?  To NEMO (compared to NAT)?   Reluctance to
Route Optimization as the big complexity ourselves described so often?

I speculate an automotive case could be built for MR-to-MR IP
communications with IPv6 on Mobile Routers which _may_ run MEXT Mobile
IPv6 (or may not).

>> pursued. There are currently automotive cases being discussed in
>> SDOs outside IETF which may be in line with the NEMO RO
>> requirements, or may require re-formulation.
>
> i agree with all that. If they contribute and show energy, let's do
> it. Without that, i fail to see how we can do any work.

(I appreciate straight talk Marcelo :-)

I think the fact that we insist to take these items on may be an
encouraging sign.

I am willing to learn why this strong reluctance (a default "no" to
automotive in Charter, until proven otherwise) compared to the default
"yes" to industry items like 3GPP and DS-MIPv6 (where the only industry
backup is apparently a DSMIPv6 mentioning in a 3GPP document).  I am
trying to identify this difference.

Alex

>
> Regards, marcelo
>
>>
>> Alex
>>
>>>
>>> regards, marcelo
>>>
>>> _______________________________________________ MEXT mailing
>>> list [email-masked] https://www.ietf.org/mailman/listinfo/mext
>>>
>>

---

From: "Laganier, Julien" <[email-masked]>
Date: Wed, 1 Sep 2010 12:38:37 -0700

> identify interest if we claim there's none.

There was a smiley.
 
> transportation operators, communication equipment manufacturers.  Very

Having interest is different than getting the work done. I wish people would spend as much time getting the work done than they spend debating whether there is interest and why a work item that missed its charter deadlines was ditched out of the charter as per the charter. I am not going to continue this discussion.

--julien

---

From: "Davis, Terry L" <[email-masked]>
Date: Wed, 1 Sep 2010 12:49:17 -0700

Depending on how the final selection and contract terms go on the FAA Phase 1 Datacom contract, aviation may become more interested sooner.

http://www.aviationtoday.com/av/categories/atc/Product-Focus-Data-Comm_68790.html 

Take care
Terry

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of Laganier, Julien
> Sent: Wednesday, September 01, 2010 12:39 PM
> To: Alexandru Petrescu; [email-masked]
> Subject: Re: [MEXT] MEXT charter for the IESG
> 
> > > I don't know if a single (expired) draft show interest 
> from the car
> > > industry...
> > >
> > > (or does it shows that the interest of the car industry 
> has expired
> > > ;-)
> > 
> Having interest is different than getting the work done. I 
> wish people would spend as much time getting the work done 
> than they spend debating whether there is interest and why a 
> work item that missed its charter deadlines was ditched out 
> of the charter as per the charter. I am not going to continue 
> this discussion.
> 
> --julien

---

From: "Laganier, Julien" <[email-masked]>
Date: Wed, 1 Sep 2010 12:56:47 -0700

Just to get the facts straight:

Alexandru Petrescu wrote:
> automotive in Charter, until proven otherwise) 

There was never such a thing as a default "no" to automotive in charter. The automotive use case has been part of the MEXT WG since its creation. Its presence was conditioned to the fact the deadlines be met. The work did not progress adequately. Deadlines were not met. The MEXT WG was re-chartered taking this and community input into account.

>                                                compared to the default
> backup is apparently a DSMIPv6 mentioning in a 3GPP document).  

3GPP TS 23.402 "Architecture enhancements for non-3GPP accesses"
3GPP TS 23.327 "Mobility between 3GPP-Wireless Local Area Network (WLAN) interworking and 3GPP systems"
3GPP TS 23.261 "IP flow mobility and seamless Wireless Local Area Network (WLAN) offload"
3GPP TS 24.327 "Mobility between 3GPP Wireless Local Area Network (WLAN) interworking (I-WLAN) and 3GPP systems; General Packet Radio System (GPRS) and 3GPP I-WLAN aspects; Stage 3"
3GPP TS 23.303 "Mobility management based on Dual-Stack Mobile IPv6; Stage 3"

End of this discussion, time to go back to technical discussions.

--julien

---

From: marcelo bagnulo braun <[email-masked]>
Date: Thu, 02 Sep 2010 09:14:31 +0200

Hi Terry,

That is great news.
As soon as there is energy to pursue this work, please contact us and we 
can certainly take this work again in MEXT.
As with the vehicular case, both chairs and our AD, we are very 
interested in seeing the work done in mext. I mean, seeing the 
aeronautic industry and/or the automotive industry using IETF protocols, 
it is clearly a success for the IETF as a whole, and we are all very 
aware of that.
We have removed it from the charter, due to the lack of of energy we 
have seeing so far. But as soon as we are confident that there will be 
enough interest to do the work properly, we will certainly take this work.

Regards, marcelo

---

From: marcelo bagnulo braun <[email-masked]>
Date: Thu, 02 Sep 2010 09:20:56 +0200

> How to pursue this item?

show that there is energy to do the work properly. Show that the 
relevant stakeholders will be involved. Show that the draft has been 
reviewed by the vehicular community and that it actually reflects their 
needs. Show that the vehicular community will be involved and follow 
this work. I haven't seen that so far.

Please, again, i would love to see cars running IP and NEMO. But i don't 
think it is a good use of the WG time and energy to work on a solution 
if the proper stackeholders are not involved.

Regards, marcelo